Subject: Re: bug#39428: 28.0.50; cl--push-clause-loop-body: eval macro arg just once

From: Tino Calancha <[email-masked]>
Date: Wed, 05 Feb 2020 19:03:40 +0100

Stefan Monnier <[email-masked]> writes:
> I must say I don't really understand what
> cl--loop-conditions and cl--loop-body are for and even less why we'd
> want to push the same clause onto both lists

Those things came from bug#29799.  I have not followed the latest
changes in that report; the purpose seems to cover some
edge cases.  It has no impact on our test suite; furthermore, they
have added new tests for those edge cases matching what clisp does.